Method: users.dataTypes.dataPoints.create

Creates a single identifiable data point.

HTTP request

POST https://health.googleapis.com/v4/{parent=users/*/dataTypes/*}/dataPoints

The URL uses gRPC Transcoding syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the service error catalog

Path parameters

Parameters
parent

string

Required. The parent resource name where the data point will be created. Format: users/{user}/dataTypes/{dataType} It takes the form users/{user}/dataTypes/{datatype}.

Request body

The request body contains an instance of DataPoint.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/googlehealth.activity_and_fitness
  • https://www.googleapis.com/auth/googlehealth.health_metrics_and_measurements
  • https://www.googleapis.com/auth/googlehealth.location
  • https://www.googleapis.com/auth/googlehealth.nutrition
  • https://www.googleapis.com/auth/googlehealth.sleep

For more information, see the OAuth 2.0 Overview.